var React = require('react');
var DesktopAppItem = require('./desktop-app-item.js');
var path = require('path');

var DesktopAppList = React.createClass({

  render: function() {

    var items = this.props.desktopApps.map(function(desktopApp, i) {
      var desktopEntry = desktopApp.content['Desktop Entry'];
      return (
        <DesktopAppItem theme={this.props.theme}
          key={desktopApp.path}
          desktopEntry={desktopEntry}
          onItemDropped={this.props.onItemDropped} />
      );
    }.bind(this));

    return (
      <div className="apps-list">
        <ul className="desktop-apps list-group">
          {items}
        </ul>
      </div>
    );

  }

});

module.exports = DesktopAppList;
